Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 790296 (CVE-2021-31215) - sys-cluster/slurm: Remote code execution via environment mishandling (CVE-2021-31215)
Summary: sys-cluster/slurm: Remote code execution via environment mishandling (CVE-202...
Status: IN_PROGRESS
Alias: CVE-2021-31215
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Security
URL: https://lists.schedmd.com/pipermail/s...
Whiteboard: ~2 [ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-15 01:27 UTC by Sam James
Modified: 2021-07-29 18:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-05-15 01:27:59 UTC
Description:
"SchedMD Slurm before 20.02.7 and 20.03.x through 20.11.x before 20.11.7 allows remote code execution as SlurmUser because use of a PrologSlurmctld or EpilogSlurmctld script leads to environment mishandling."
Comment 1 Sam James archtester gentoo-dev Security 2021-05-15 01:28:12 UTC
Please bump.
Comment 2 NATTkA bot gentoo-dev 2021-07-29 17:22:23 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-07-29 17:30:38 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-07-29 17:38:35 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-07-29 17:46:42 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-07-29 18:02:41 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-07-29 18:10:57 UTC
Package list is empty or all packages have requested keywords.